; tasm /m fpu.asm
; tlink /t /x fpu.obj

.MODEL Tiny
.386
.CODE
ORG	100h

Start:

		mov	dx,120         ; Angle = 120
		mov	bx,-10         ; R = -10
		mov	ax,2           ; Y = 2

		finit                  ; 樠㥬 ᮯ (FPU)

		mov	Tmp,dx         ; ࠭塞 Angle  ६ ६
		fild	Tmp            ; 㦠 Angle  ⥪ FPU
		fmul	PiDiv180       ; : st(0) = Angle * (Pi/180)

		fcos                   ; ᨭ: st(0) = Cos(Angle*Pi/180) = -0.5

		mov	Tmp,bx         ; ࠭塞 R  ६ ६
		fimul	Tmp            ; : st(0) = R * Cos(Angle*Pi/180) = 5

		fistp	Tmp            ; ࠭塞 १  ६ ६
		fwait                  ; ஭㥬 ࠡ CPU  FPU (i8087..i387)
                                       ; (..  ᯮ㥬 Tmp, ஥ 뢠 FPU)
		add	ax,Tmp         ; ax = Y + Round(R * Cos(Angle*Pi/180)) = 7

		aam                    ;  al  10 (), ⭮  ah, ⮪ -  al
		xchg	al,ah          ;   al -  ,   ah - 
		add	ax,'00'        ; ॢ ᫮  筮
		int	29h            ; 뢮  
		mov	al,ah
		int	29h            ; 뢮  

		int	20h            ; 室  ணࠬ

PiDiv180	dd	0.017453292519943296 ; Pi/180 (㬠, 筮 dword 筮)
Tmp		dw	?

END		Start
